# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-04-10 09:00
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Card',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('surname', models.CharField(max_length=100)),
                ('location', models.CharField(choices=[('Autonomous Republic of Crimea', 'Autonomous Republic of Crimea'), ('Cherkasy oblast', 'Cherkasy oblast'), ('Chernihiv oblast', 'Chernihiv oblast'), ('Chernivtsi oblast', 'Chernivtsi oblast'), ('Dnipro oblast', 'Dnipro oblast'), ('Donetsk oblast', 'Donetsk oblast'), ('Ivano-Frankivsk oblast', 'Ivano-Frankivsk oblast'), ('Kharkiv oblast', 'Kharkiv oblast'), ('Kherson oblast', 'Kherson oblast'), ('Khmelnytskyi oblast', 'Khmelnytskyi oblast'), ('Kirovohrad oblast', 'Kirovohrad oblast'), ('Kyiv oblast', 'Kyiv oblast'), ('Luhansk oblast', 'Luhansk oblast'), ('Lviv oblast', 'Lviv oblast'), ('Mykolaiv oblast', 'Mykolaiv oblast'), ('Odesa oblast', 'Odesa oblast'), ('Poltava oblast', 'Poltava oblast'), ('Rivne oblast', 'Rivne oblast'), ('Sum oblast', 'Sumy oblast'), ('Ternopil oblast', 'Ternopil oblast'), ('Vinnytsia oblast', 'Vinnytsia oblast'), ('Volyn oblast', 'Volyn oblast'), ('Zakarpattia oblast', 'Zakarpattia oblast'), ('Zaporizhzhia oblast', 'Zaporizhzhia oblast'), ('Zhytomyr oblast', 'Zhytomyr oblast')], max_length=30, null=True)),
                ('email', models.EmailField(max_length=100, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='PhoneNumber',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(blank=True, max_length=32, null=True, unique=True)),
            ],
        ),
        migrations.AddField(
            model_name='card',
            name='phone',
            field=models.ManyToManyField(related_name='card', to='book.PhoneNumber'),
        ),
        migrations.AddField(
            model_name='card',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='card', to=settings.AUTH_USER_MODEL),
        ),
    ]
